--- gtk/gtk-builder-convert.orig	2011-02-24 13:15:47.000000000 -0600
+++ gtk/gtk-builder-convert	2011-03-15 18:16:48.000000000 -0500
@@ -54,6 +54,24 @@
 except ImportError:
     subprocess = None
 
+# Sorted
+try:
+    sorted = sorted
+except NameError:
+    def sorted(iterable, cmp=None, key=None, reverse=False):
+        if key is None:
+            lst = list(iterable)
+        else:
+            lst = [(key(val), idx, val) for idx, val in enumerate(iterable)]
+        lst.sort()
+        if key is None:
+            if reverse:
+                return lst[::-1]
+            return lst
+        if reverse:
+            lst = lst[::-1]
+        return [i[-1] for i in lst]
+
 def get_child_nodes(node):
     assert node.tagName == 'object'
     nodes = []
